VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Privilege::ServiceInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Privilege::ServiceInfo:

## Avaliable Methods
public method | set_operations ()
public method | get_operations ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Privilege::ServiceInfo` class contains privilege information of a service element.

For an explanation of privilege information contained within service elements, see class Com::Vmware::Vapi::Metadata::Privilege::Service .

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Privilege::ServiceInfo::get_operations | ( |  | ) |

Gets the value of 'operations' property.

Return values

  operations | - The current value of the field. Information about all operation elements contained in this service element that contain privilege information. The key in the map is the identifier of the operation element and the value in the map is the privilege information for the operation element.

For an explanation of containment of privilege information within operation elements, see class Com::Vmware::Vapi::Metadata::Privilege::Service::Operation .

Map#

Code:
click to view
# Number of lines of code in get_operations: 4
sub get_operations {
my ($self, %args) = @_;
return $self->{'operations'};
}

public method Com::Vmware::Vapi::Metadata::Privilege::ServiceInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Privilege::ServiceInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 16
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{operations} = $args{'operations'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Privilege::ServiceInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.privilege.service_info');
$self->set_binding_field('key' => 'operations', 'value' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Privilege', 'type_name' => 'OperationInfo')}))));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Privilege::ServiceInfo::set_operations | ( |  | ) |

Sets the given value for 'operations' property.

Parameters

  operations | - New value for the field. Information about all operation elements contained in this service element that contain privilege information. The key in the map is the identifier of the operation element and the value in the map is the privilege information for the operation element.

For an explanation of containment of privilege information within operation elements, see class Com::Vmware::Vapi::Metadata::Privilege::Service::Operation .

Code:
click to view
# Number of lines of code in set_operations: 5
sub set_operations {
my ($self, %args) = @_;
$self->{'operations'} = $args{'operations'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Privilege/ServiceInfo.pm